## gunicorn 0.15.0

=== Makefile ===
build:
	virtualenv --no-site-packages .
	bin/python setup.py develop
	bin/pip install coverage
	bin/pip install nose

test:
	bin/nosetests

coverage:
	bin/nosetests --with-coverage --cover-html --cover-html-dir=html \
		--cover-package=gunicorn

clean:
	@rm -rf .Python bin lib include man build html

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Gunicorn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Gunicorn.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Gunicorn"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Gunicorn"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## gunicorn 0.10.0

=== debian/changelog ===
gunicorn (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Add python-setproctitle to Suggests. Thanks to Örjan Persson
    <orange@fobie.net>.
  * Bump Standards-Version to 3.9.0.

 -- Chris Lamb <lamby@debian.org>  Fri, 16 Jul 2010 10:44:12 +0100

gunicorn (0.9.1-2) unstable; urgency=low

  * Add python-setuptools to binary Depends.

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Jun 2010 11:02:09 +0100

gunicorn (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 27 May 2010 23:51:25 +0100

gunicorn (0.8.0-3) unstable; urgency=low

  * Re-enable gunicorn_paster entry point.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 May 2010 18:18:37 +0100

gunicorn (0.8.0-2) unstable; urgency=low

  * Bump minimal Python requirement to 2.5. Thanks to Piotr Ożarowski.
    (Closes: #580679)
  * Add python-pkg-resources to Depends.
  * Add python-gevent and python-tornado to Suggests.
  * Update long description to reflect Tornado support.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 May 2010 17:55:36 +0100

gunicorn (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch to not pick up spurious help.tar.gz.

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Apr 2010 21:47:18 +0100

gunicorn (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #577107)
    - We don't package the "paster" entry point yet as Debian's python-paste is
      out of date.

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Apr 2010 21:05:39 +0100

=== debian/control ===
Source: gunicorn
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-support, python-setuptools
Standards-Version: 3.9.0
Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-gunicorn.git
Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-gunicorn.git
XS-Python-Version: >= 2.5
Homepage: http://gunicorn.org/

Package: gunicorn
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-setuptools
Suggests: python-tornado, python-gevent, python-pastedeploy, python-setproctitle
Description: Event-based HTTP/WSGI server
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP

=== debian/rules ===
#!/usr/bin/make -f

POD_MANPAGES=$(wildcard debian/manpages/*.pod)
MANPAGES=$(patsubst %.pod,%.1, $(POD_MANPAGES))

%:
	dh $@

%.1: %.pod
	pod2man $< $@

override_dh_auto_build: $(MANPAGES)
	dh_auto_build

override_dh_installexamples:
	dh_installexamples
	find debian/gunicorn/usr/share/doc/gunicorn/examples \
		-executable -type f -print0 | xargs -0r chmod -x

## gunicorn 0.11.2

=== debian/changelog ===
gunicorn (0.11.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Nov 2010 10:55:04 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support, python-setuptools
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-gunicorn.git
 Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-gunicorn.git
 XS-Python-Version: >= 2.5

## gunicorn 0.12.1

=== debian/changelog ===
gunicorn (0.12.1-2) unstable; urgency=low

  * Add option to specify the Python interpreter to use.
    (via https://github.com/lamby/pkg-gunicorn/issues/1)
  * Ignore files that begin with "_" so that we can avoid duplicated code.
    (via https://github.com/lamby/pkg-gunicorn/issues/2)

 -- Chris Lamb <lamby@debian.org>  Mon, 09 May 2011 00:54:18 +0100

gunicorn (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Add Python 2.5 support for /etc/gunicorn.d.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Mar 2011 12:32:40 +0000

gunicorn (0.12.0-2) unstable; urgency=low

  * Add .d-based config based on an idea by Arthur Furlan. Users (or
    configuration packages) can now place files in /etc/gunicorn.d which setup
    different gunicorn configurations. This avoids the need for separate or
    custom initscripts and generally integrates Gunicorn better with the Debian
    system. All gunicorn options are configurable. (Closes: #606216)

 -- Chris Lamb <lamby@debian.org>  Mon, 21 Mar 2011 00:04:33 +0000

gunicorn (0.12.0-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-{Git,Browser}.

 -- Chris Lamb <lamby@debian.org>  Sat, 26 Feb 2011 18:18:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support, python-setuptools
 Standards-Version: 3.9.1
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-gunicorn.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-gunicorn.git
+Vcs-Git: git://github.com/lamby/pkg-gunicorn.git
+Vcs-Browser: https://github.com/lamby/pkg-gunicorn
 XS-Python-Version: >= 2.5
 Homepage: http://gunicorn.org/

## gunicorn 0.12.2

=== debian/changelog ===
gunicorn (0.12.2-2) unstable; urgency=low

  * Source /etc/default/gunicorn so CONF_DIR (etc.) can be overridden.
    (via https://github.com/lamby/pkg-gunicorn/issues/8). Thanks to cbay for
    the patch.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 May 2011 16:42:38 +0100

gunicorn (0.12.2-1) unstable; urgency=low

  * New upstream release.
  * Update Python path under all Python versions, not just 2.6.
    (via https://github.com/lamby/pkg-gunicorn/issues/6)
  * Don't require configuration files to define a CONFIG dictionary.
    Thanks to cbay for the patch.
    (via https://github.com/lamby/pkg-gunicorn/issues/7)

 -- Chris Lamb <lamby@debian.org>  Thu, 19 May 2011 16:22:21 +0100

gunicorn (0.12.1-3) unstable; urgency=low

  * Update Python path for Python <= 2.6 so that configurations can extend each
    other.
  * Correct check for ignoring files beginning with "_".
  * Also ignore .pyc files.
  * Fix "reload" action by removing "--retry 10" start-stop-daemon argument
    which was sending KILL afer 10 seconds. Thanks to cbay.
    (via https://github.com/lamby/pkg-gunicorn/issues/4)
  * Delete *.pid files even if start-stop-daemon fails. Thanks to cbay for
    report and patch.
    (via https://github.com/lamby/pkg-gunicorn/issues/3)

 -- Chris Lamb <lamby@debian.org>  Thu, 19 May 2011 11:28:00 +0100

## gunicorn 0.13.1

=== debian/changelog ===
gunicorn (0.13.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Sep 2011 12:20:18 +0100

## gunicorn 0.13.4

=== debian/changelog ===
gunicorn (0.13.4-1) unstable; urgency=low

  * New upstream version.
  * Bump retry time and make it configurable. This is required so that we don't
    attempt to (re)start gunicorn when the previous instances are still running
    as the port would still be in use and would then completely fail to start.

 -- Chris Lamb <lamby@debian.org>  Wed, 16 Nov 2011 17:05:47 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support, python-setuptools
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://github.com/lamby/pkg-gunicorn.git
 Vcs-Browser: https://github.com/lamby/pkg-gunicorn
 XS-Python-Version: >= 2.5

## gunicorn 0.14.2

=== debian/changelog ===
gunicorn (0.14.2-1) unstable; urgency=low

  * New upstream version.
  * Add support for "restart" argument to gunicorn-debian.

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Apr 2012 12:07:36 +0100

gunicorn (0.13.4-3) unstable; urgency=low

  * Don't stop *all* configurations when calling "gunicorn-debian stop config".

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Feb 2012 12:49:17 +0000

gunicorn (0.13.4-2) unstable; urgency=low

  * Move /usr/share/gunicorn/initscript-helper.py => /usr/sbin/gunicorn-debian.
  * Detect dpkg "rc" state in /etc/init.d/gunicorn.
  * Add shebang to /usr/sbin/gunicorn-debian.
  * Use optparse to parse command line over unpacking sys.argv.
  * Use sys.dont_write_bytecode over PYTHONDONTWRITEBYTECODE environment
    variable.
  * Ignore .comc files too.
  * Logging for /usr/sbin/gunicorn-debian.
  * Better logging of what start-stop-daemon is called with.
  * "reload" starts unstarted instances (Closes: #642234)
  * Allow limiting actions to particular configs. Thanks to thomas marquart
    <thomas@marquart.se> for the suggestion.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Jan 2012 15:27:53 +0000

## gunicorn 0.14.3

=== debian/changelog ===
gunicorn (0.14.3-1) unstable; urgency=low

  * New upstream release.
  * Don't use the upstream Makefile for building as it uses virtualenv and
    starts downloading things.
  * Bump Standards-Version to 3.9.3.

 -- Chris Lamb <lamby@debian.org>  Mon, 21 May 2012 22:04:58 +0100

## gunicorn 0.14.5

=== debian/changelog ===
gunicorn (0.14.5-3ubuntu1) quantal; urgency=low

  * revert undocumented broken dh_python2 conversion

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 11 Oct 2012 23:06:29 +0200

gunicorn (0.14.5-3) unstable; urgency=medium

  * Apply security patch from Vangelis Koukis <vkoukis@grnet.gr> to ensure
    gunicorn drops supplemental groups.

    Without this change, gunicorn workers run with the supplemental group of
    'root' even though we have specifically requested a switch (eg. to
    www-data:www-data)

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Oct 2012 20:22:08 +0100

gunicorn (0.14.5-2) unstable; urgency=low

  * Pass through any initscript options to gunicorn-debian. Thanks to Piet
    Delport <pjdelport@gmail.com>. (Closes: #684299)
  * Drop unsupported 'status' argument. Thanks to Piet Delport
    <pjdelport@gmail.com>.

 -- Chris Lamb <lamby@debian.org>  Wed, 08 Aug 2012 13:03:26 -0700

gunicorn (0.14.5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Jul 2012 10:49:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gunicorn
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-support, python-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://github.com/lamby/pkg-gunicorn.git
 Vcs-Browser: https://github.com/lamby/pkg-gunicorn
 XS-Python-Version: >= 2.5

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 %.1: %.pod
 	pod2man $< $@
 
+override_dh_auto_clean:
+	rm -f Makefile
+	dh_auto_clean
+
 override_dh_auto_build: $(MANPAGES)
 	dh_auto_build

## gunicorn 0.15.0

=== debian/changelog ===
gunicorn (0.15.0-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Wed, 31 Oct 2012 19:44:54 +0000

gunicorn (0.14.5-5) unstable; urgency=low

  * Apply patch by Randall Leeds to set log directory permissions correctly.
    Thanks!

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Oct 2012 00:14:18 +0000

gunicorn (0.14.5-4) unstable; urgency=low

  * Update setgroups patch so that permission errors are non-fatal, allowing
    gunicorn to be started by a non-root user. Thanks to Matthew Draper
    <matthew@trebex.net> (Closes: #690500)
  * Fix broken pysupport -> dh_python2 conversion. Thanks to Jakub Wilk
    (jwilk). (Closes: #690079)

 -- Chris Lamb <lamby@debian.org>  Tue, 16 Oct 2012 12:06:11 +0100

## gunicorn 17.5

=== Makefile ===
build:
	virtualenv --no-site-packages .
	bin/python setup.py develop
	bin/pip install -r requirements_dev.txt

test:
	bin/python setup.py test

coverage:
	bin/python setup.py test --cov

clean:
	@rm -rf .Python bin lib include man build html

=== debian/changelog ===
gunicorn (17.5-2build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:47:48 +0000

gunicorn (17.5-2) unstable; urgency=low

  * Ignore automatic backup files (eg. "filename~") in /etc/gunicorn.d. Thanks
    to Gael Le Mignot <gael@pilotsystems.net>. (Closes: #715032)

 -- Chris Lamb <lamby@debian.org>  Thu, 11 Jul 2013 20:05:04 +0100

gunicorn (17.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh and alter structure of 0001-drop-supplemental-groups.patch. Thanks
    to Randall Leeds.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Jul 2013 17:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: gunicorn
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python-support, python-setuptools
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
+Build-Depends-Indep: python-setuptools
 Standards-Version: 3.9.3
 Vcs-Git: git://github.com/lamby/pkg-gunicorn.git
 Vcs-Browser: https://github.com/lamby/pkg-gunicorn
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Homepage: http://gunicorn.org/
 
 Package: gunicorn

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 MANPAGES=$(patsubst %.pod,%.1, $(POD_MANPAGES))
 
 %:
-	dh $@
+	dh --with=python2 $@
 
 %.1: %.pod
 	pod2man $< $@

=== debian/watch ===
version=3
http://githubredir.debian.net/github/benoitc/gunicorn /(\d.*).tar.gz

## gunicorn 19.0

=== Makefile ===
build:
	virtualenv venv
	venv/bin/pip install -e .
	venv/bin/pip install -r requirements_dev.txt

test:
	venv/bin/python setup.py test

coverage:
	venv/bin/python setup.py test --cov

clean:
	@rm -rf .Python MANIFEST build dist venv* *.egg-info
	@find . -type f -name "*.py[co]" -delete
	@find . -type d -name "__pycache__" -delete

.PHONY: build clean coverage test

=== docs/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = ../bin/sphinx-build
+SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build

=== debian/changelog ===
gunicorn (19.0-8~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Chris Lamb <lamby@debian.org>  Wed, 16 Sep 2015 12:35:38 +0000

gunicorn (19.0-8) unstable; urgency=medium

  * Drop dependency on python-tox now that tests are disabled.
    (Closes: #798798)

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Sep 2015 23:35:09 +0100

gunicorn (19.0-7) unstable; urgency=medium

  * Use a no-op dh_auto_test to disable tox tests over not exporting
    PYBUILD_TEST_TOX. (Closes: #796432)

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Aug 2015 22:52:57 +0200

gunicorn (19.0-6) unstable; urgency=medium

  * Correct B+R version number to 19.0-3 & add B+R to python-gunicorn. Thanks
    to Andreas Beckmann (anbe). (Closes: #790518)

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Jul 2015 18:06:45 +0100

gunicorn (19.0-5) unstable; urgency=medium

  * Add Replaces and Breaks to ensure upgrade path from testing.
    (Closes: #790518)

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Jun 2015 11:37:24 +0100

gunicorn (19.0-4) unstable; urgency=medium

  * Add entry for docs/sitemap_gen.py in debian/copyright.
    (Closes: #790314)
  * Use system jQuery libraries to appease Lintian's
    privacy-breach-may-use-debian-package.

 -- Chris Lamb <lamby@debian.org>  Sun, 28 Jun 2015 00:34:01 +0100

gunicorn (19.0-3) unstable; urgency=medium

  * Set Section to "httpd".
  * Bump Standards-Version to 3.9.6.
  * Bump debhelper compat level to 9.
  * Call wrap-and-sort.

  [ Barry Warsaw ]
  * Add Python 3 support. (Closes: #756057)
  * d/control:
    - Split the gunicorn package into separate binary packages for the
      Python 2 and 3 library, the Python 2 and 3 command line scripts, and
      common files.
    - Update build dependencies for Python 3.
  * d/compat: Bump to version 8.
  * d/patches/0001-drop-supplemental-groups.patch: Adapt for Python 3.
  * d/rules:
    - Use --buildsystem=pybuild and dh_python3.
    - Update overrides for proper package installation.
    - Build the gunicorn-debian.8 manpage with help2man.
  * d/gunicorn.examples -> gunicorn-common.examples
  * d/gunicorn.init -> gunicorn-common.init
  * d/gunicorn.install -> gunicorn-common.install
  * d/gunicorn{3,-common}.manpages: Added.
  
  [ Chris Lamb ]
  * d/gunicorn3-debian: Minimise whitespace diff to d/gunicorn-debian for ease
    of future changes.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 May 2015 13:57:47 +0100

gunicorn (19.0-2) unstable; urgency=low

  * Add provides: http-wsgi. Thanks to collinanderson via
    <https://github.com/lamby/pkg-gunicorn/issues/17>.
  * Install logrotate script. THanks to Collin Anderson <cmawebsite@gmail.com>
    (Closes: #759279).
  * Remove /var/log/gunicorn when purging package. (Closes: #769333)

 -- Chris Lamb <lamby@debian.org>  Sun, 16 Nov 2014 21:16:00 +0000

gunicorn (19.0-1) unstable; urgency=low

  * New upstream release.
    - Update 0001-drop-supplemental-groups.patch.
  * Bump Standards-Version to 3.9.5.
  * Remove gaoihttp.py prior to building as it's Python 3 only.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Jul 2014 17:09:19 +0100

gunicorn (18.0-3) unstable; urgency=low

  * Set permissions on /var/log/gunicorn so that workers (not just the master
    running as root) can write to logfiles.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Apr 2014 16:12:46 +0100

gunicorn (18.0-2) unstable; urgency=low

  * Avoid using $all in Required-Start so that other services can
    Required-Start on us without creating loops.

 -- Chris Lamb <lamby@debian.org>  Sun, 06 Apr 2014 17:36:11 +0100

gunicorn (18.0-1) unstable; urgency=low

  * New upstream release.
  * Update 0001-drop-supplemental-groups.

 -- Chris Lamb <lamby@debian.org>  Sat, 08 Feb 2014 17:28:58 +0000

=== debian/control ===
Source: gunicorn
Section: httpd
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), python3-all
Build-Depends-Indep: help2man,
                     python-setuptools,
                     python3-setuptools
Standards-Version: 3.9.6
Vcs-Git: git://github.com/lamby/pkg-gunicorn.git
Vcs-Browser: https://github.com/lamby/pkg-gunicorn
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://gunicorn.org/

Package: python-gunicorn
Architecture: all
Depends: python-pkg-resources,
         python-setuptools,
         ${misc:Depends},
         ${python:Depends}
Breaks: gunicorn (<< 19.0-3)
Replaces: gunicorn (<< 19.0-3)
Description: Event-based HTTP/WSGI server
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 2 library.

Package: gunicorn
Architecture: all
Depends: python-gunicorn (= ${binary:Version}),
         python-pkg-resources,
         python-setuptools,
         ${misc:Depends},
         ${python:Depends}
Suggests: gunicorn-examples (= ${binary:Version}),
          python-gevent,
          python-pastedeploy,
          python-setproctitle,
          python-tornado
Provides: httpd-wsgi
Description: Event-based HTTP/WSGI server
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 2 version.

Package: python3-gunicorn
Architecture: all
Depends: python3-pkg-resources,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Description: Event-based HTTP/WSGI server
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 3 library.

Package: gunicorn3
Architecture: all
Depends: python3-gunicorn (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: gunicorn-examples (= ${binary:Version}),
          python3-pastedeploy,
          python3-setproctitle,
          python3-tornado
Description: Event-based HTTP/WSGI server
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 3 version.

Package: gunicorn-examples
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Replaces: gunicorn (<< 19.0-3)
Breaks: gunicorn (<< 19.0-3)
Recommends: libjs-jquery, libjs-jquery-flot
Description: Event-based HTTP/WSGI server
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 These are the examples.

## gunicorn 19.4.5

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	venv/bin/python setup.py test --cov
 
 clean:
-	@rm -rf .Python MANIFEST build dist venv* *.egg-info
+	@rm -rf .Python MANIFEST build dist venv* *.egg-info *.egg
 	@find . -type f -name "*.py[co]" -delete
 	@find . -type d -name "__pycache__" -delete

=== debian/changelog ===
gunicorn (19.4.5-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Suggest libjs-jquery-flot instead of recommending it, package in universe

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 16:41:32 +0100

gunicorn (19.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Jan 2016 13:53:49 +0000

gunicorn (19.4.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Suggest libjs-jquery-flot instead of recommending it, package in universe

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 14:58:32 +0100

gunicorn (19.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Thu, 10 Dec 2015 17:30:52 +0200

gunicorn (19.3-3) unstable; urgency=medium

  * Correct Python interpreter path references in gunicorn3-debian. Thanks to
    Olivier AUDRY <olivier@minas.fr> for the report and patch, although note I
    applied it slightly differently keeping the "python" argument consistent
    (Closes: #805973)
  * Rebase patches with gbp-pq.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Nov 2015 21:41:23 +0200

gunicorn (19.3-2) unstable; urgency=medium

  * Correct path in `rm` call to _gaiohttp.py (Closes: #803170)
  * wrap-and-sort -sa
  * Tidy debian/rules

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Oct 2015 09:14:31 +0000

gunicorn (19.3-1) unstable; urgency=medium

  * New upstream release (Closes: #803086)
  * Update debian/watch to not use deprecated githubredir.
  * Refresh 0001-drop-supplemental-groups.patch.
  * Refresh 0002-use-system-js-libs.patch.

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Oct 2015 21:34:38 +0000

gunicorn (19.0-8ubuntu1) wily; urgency=medium

  * Merge with Debian; no remaining changes.
  * Suggest libjs-jquery-flot instead of recommending it, package in universe.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Sep 2015 15:29:24 +0200

gunicorn (19.0-6ubuntu2) wily; urgency=medium

  * Hm, somehow tox is installable in sbuild locally but not launchpad.
    However, tox is not used to run test-suites at all...

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 16 Aug 2015 01:46:16 +0100

gunicorn (19.0-6ubuntu1) wily; urgency=medium

  * Switch to tox build-dep from python-tox.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 16 Aug 2015 01:21:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: gunicorn
 Section: httpd
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), python3-all
-Build-Depends-Indep: help2man,
-                     python-setuptools,
-                     python3-setuptools
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python (>= 2.6.6-3~),
+ python3-all
+Build-Depends-Indep:
+ help2man,
+ python-setuptools,
+ python3-setuptools
 Standards-Version: 3.9.6
 Vcs-Git: git://github.com/lamby/pkg-gunicorn.git
 Vcs-Browser: https://github.com/lamby/pkg-gunicorn
@@ -15,12 +21,15 @@
 
 Package: python-gunicorn
 Architecture: all
-Depends: python-pkg-resources,
-         python-setuptools,
-         ${misc:Depends},
-         ${python:Depends}
-Breaks: gunicorn (<< 19.0-3)
-Replaces: gunicorn (<< 19.0-3)
+Depends:
+ python-pkg-resources,
+ python-setuptools,
+ ${misc:Depends},
+ ${python:Depends}
+Breaks:
+ gunicorn (<< 19.0-3)
+Replaces:
+ gunicorn (<< 19.0-3)
 Description: Event-based HTTP/WSGI server
  Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
  or sleepy applications. That is to say; behind a buffering front-end server
@@ -41,17 +50,20 @@
 
 Package: gunicorn
 Architecture: all
-Depends: python-gunicorn (= ${binary:Version}),
-         python-pkg-resources,
-         python-setuptools,
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: gunicorn-examples (= ${binary:Version}),
-          python-gevent,
-          python-pastedeploy,
-          python-setproctitle,
-          python-tornado
-Provides: httpd-wsgi
+Depends:
+ python-gunicorn (= ${binary:Version}),
+ python-pkg-resources,
+ python-setuptools,
+ ${misc:Depends},
+ ${python:Depends}
+Suggests:
+ gunicorn-examples (= ${binary:Version}),
+ python-gevent,
+ python-pastedeploy,
+ python-setproctitle,
+ python-tornado
+Provides:
+ httpd-wsgi
 Description: Event-based HTTP/WSGI server
  Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
  or sleepy applications. That is to say; behind a buffering front-end server
@@ -72,10 +84,11 @@
 
 Package: python3-gunicorn
 Architecture: all
-Depends: python3-pkg-resources,
-         python3-setuptools,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-pkg-resources,
+ python3-setuptools,
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Event-based HTTP/WSGI server
  Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
  or sleepy applications. That is to say; behind a buffering front-end server
@@ -96,13 +109,15 @@
 
 Package: gunicorn3
 Architecture: all
-Depends: python3-gunicorn (= ${binary:Version}),
-         ${misc:Depends},
-         ${python3:Depends}
-Suggests: gunicorn-examples (= ${binary:Version}),
-          python3-pastedeploy,
-          python3-setproctitle,
-          python3-tornado
+Depends:
+ python3-gunicorn (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends}
+Suggests:
+ gunicorn-examples (= ${binary:Version}),
+ python3-pastedeploy,
+ python3-setproctitle,
+ python3-tornado
 Description: Event-based HTTP/WSGI server
  Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
  or sleepy applications. That is to say; behind a buffering front-end server
@@ -123,10 +138,17 @@
 
 Package: gunicorn-examples
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Replaces: gunicorn (<< 19.0-3)
-Breaks: gunicorn (<< 19.0-3)
-Recommends: libjs-jquery, libjs-jquery-flot
+Depends:
+ ${misc:Depends},
+ ${python3:Depends}
+Replaces:
+ gunicorn (<< 19.0-3)
+Breaks:
+ gunicorn (<< 19.0-3)
+Recommends:
+ libjs-jquery,
+Suggests:
+ libjs-jquery-flot
 Description: Event-based HTTP/WSGI server
  Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
  or sleepy applications. That is to say; behind a buffering front-end server

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES= $(patsubst %.pod,%.1, $(wildcard debian/manpages/*.pod))
UPSTREAM_VERSION = $(shell dpkg-parsechangelog --show-field Version | cut -d- -f1)

export PYBUILD_NAME = gunicorn

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

%.1: %.pod
	pod2man $< $@

override_dh_auto_clean:
	rm -f Makefile
	dh_auto_clean

override_dh_auto_build: $(MANPAGES)
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	
	# Shuffle the scripts into the correct binary package.
	mkdir -p debian/gunicorn/usr/bin
	mkdir -p debian/gunicorn3/usr/bin
	mv debian/python-gunicorn/usr/bin/* debian/gunicorn/usr/bin
	
	# The Python 3 versions must not collide with the Python 2 versions.
	mv debian/python3-gunicorn/usr/bin/gunicorn \
		debian/gunicorn3/usr/bin/gunicorn3
	mv debian/python3-gunicorn/usr/bin/gunicorn_django \
		debian/gunicorn3/usr/bin/gunicorn3_django
	mv debian/python3-gunicorn/usr/bin/gunicorn_paster \
		debian/gunicorn3/usr/bin/gunicorn3_paster
	rmdir debian/python-gunicorn/usr/bin
	rmdir debian/python3-gunicorn/usr/bin
	
	# gaiohttp.py isn't supported in Python 2.
	rm -f debian/python-gunicorn/usr/lib/python*/dist-packages/gunicorn/workers/_gaiohttp.py

override_dh_installexamples:
	dh_installexamples
	find \
		debian/gunicorn-examples/usr/share/doc/gunicorn-examples/examples \
		-executable -type f -print0 | xargs -0r chmod -x

override_dh_installinit:
	dh_installinit --name=gunicorn

override_dh_installman:
	mkdir -p debian/tmp
	help2man -s 8 -o debian/tmp/gunicorn-debian.8 \
		 --version-string $(UPSTREAM_VERSION) --no-info \
		 -n "Control the Gunicorn daemons" \
		 debian/gunicorn-debian
	help2man -s 8 -o debian/tmp/gunicorn3-debian.8 \
		 --version-string $(UPSTREAM_VERSION) --no-info \
		 -n "Control the Gunicorn daemons" \
		 debian/gunicorn3-debian
	dh_installman
	
	# Rename the Python 3 versions.
	mv debian/gunicorn3/usr/share/man/man1/gunicorn.1 \
		debian/gunicorn3/usr/share/man/man1/gunicorn3.1
	mv debian/gunicorn3/usr/share/man/man1/gunicorn_django.1 \
		debian/gunicorn3/usr/share/man/man1/gunicorn3_django.1
	mv debian/gunicorn3/usr/share/man/man1/gunicorn_paster.1 \
		debian/gunicorn3/usr/share/man/man1/gunicorn3_paster.1

override_dh_auto_test:

=== debian/watch ===
version=3
https://github.com/benoitc/gunicorn/tags .*/(.*)\.tar\.gz

## gunicorn 19.5.0

=== debian/changelog ===
gunicorn (19.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Use https Github URL in Vcs-Git.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 May 2016 15:43:43 +0100
